Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042929
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2020-01-17 12:372020-01-30 11:47
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision02985617b299
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042929: Wrong warning shown when trying to change the standard precision of a currency to a value higher than 2

DescriptionWrong warning shown when trying to change the standard precision of a currency to a value higher than 2 for currencies that allow it
Steps To ReproduceCheck in the ISO_4217.xml file that the Units defined for OMR are 3

In the backoffice, as System Admin role:
   Go to currency window and try to change the standard precision of OMR to a value different from 2
   Check the following warning is shown:
      The current standard precision: 3 is higher than currency precision defined on ISO 4217 specification: 2 for: OMR currency
   The log shows:
      ERROR org.openbravo.erpCommon.utility.ISOCurrencyPrecision - No ISO0417 XML file found.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0036693 closedmarkmm82 Openbravo ERP In Currency window, Standard precision can be higher than the currency's real precision (commonly 2) 
related to design defect 0036694 closedjorge-garcia Retail Modules In Currency window, POS precision can be higher than the currency's real precision (commonly 2) 

-  Notes
(0117214)
AtulOpenbravo (developer)
2020-01-24 08:24

Test Plan

-Login as System Admin
- Go to currency window and try to change the standard precision of OMR to a value different from 2
- Check the following warning is shown:
  The current standard precision: 3 is higher than currency precision defined on ISO 4217 specification: 2 for: OMR currency
- Check log messages and realize that there is no error shown.
(0117362)
hgbot (developer)
2020-01-30 11:46

Repository: erp/devel/pi
Changeset: 02985617b29965c5b1d05671893d1ccb0ac784d2
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 24 12:49:46 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/02985617b29965c5b1d05671893d1ccb0ac784d2 [^]

Fixes BUG-0042929: Wrong warning shown when trying to change the
standard precision of a currency to a value higher than 2

**Get path of resource file ISO_4217.xml using ServletContext
along with relative path to the default design sub-folder within
the context's base design

---
M src/org/openbravo/erpCommon/utility/ISOCurrencyPrecision.java
---
(0117363)
hgbot (developer)
2020-01-30 11:46

Repository: erp/devel/pi
Changeset: 58082f777543893f3f839602d680c75f9b2c6370
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 24 12:52:07 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/58082f777543893f3f839602d680c75f9b2c6370 [^]

Related to ISSUE-42929: Apply sonarlint suggestions

**apply sonarlint suggestions related to formatting
debug log messages.

---
M src/org/openbravo/erpCommon/utility/ISOCurrencyPrecision.java
---
(0117364)
dmiguelez (developer)
2020-01-30 11:47

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-17 12:37 ngarcia New Issue
2020-01-17 12:37 ngarcia Assigned To => Triage Finance
2020-01-17 12:37 ngarcia Modules => Core
2020-01-17 12:37 ngarcia Triggers an Emergency Pack => No
2020-01-17 12:54 ngarcia Relationship added related to 0036693
2020-01-17 12:54 ngarcia Relationship added related to 0036694
2020-01-17 13:01 ngarcia Issue Monitored: networkb
2020-01-20 09:36 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2020-01-20 10:49 AtulOpenbravo Status new => scheduled
2020-01-24 08:24 AtulOpenbravo Note Added: 0117214
2020-01-30 11:46 hgbot Checkin
2020-01-30 11:46 hgbot Note Added: 0117362
2020-01-30 11:46 hgbot Status scheduled => resolved
2020-01-30 11:46 hgbot Resolution open => fixed
2020-01-30 11:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/02985617b29965c5b1d05671893d1ccb0ac784d2 [^]
2020-01-30 11:46 hgbot Checkin
2020-01-30 11:46 hgbot Note Added: 0117363
2020-01-30 11:47 dmiguelez Review Assigned To => dmiguelez
2020-01-30 11:47 dmiguelez Note Added: 0117364
2020-01-30 11:47 dmiguelez Status resolved => closed
2020-01-30 11:47 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker